MsWrdParserInternal::Picture Struct Reference

Internal: the picture of a MsWrdParser. More...

## Classes

struct | Zone

## Public Member Functions

| Picture ()

## Public Attributes

MWAWBox2i | m_dim
| the dimension
std::vector< Zone > | m_picturesList
| the list of picture
int | m_flag
| an unknown flag

## Friends

std::ostream & | operator<< (std::ostream &o, Picture const &pict)
| operator<<

## Detailed Description

Internal: the picture of a MsWrdParser.

## Constructor & Destructor Documentation

## Picture()

MsWrdParserInternal::Picture::Picture | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Picture const & | pict )

friend

operator<<

## Member Data Documentation

## m_dim

MWAWBox2i MsWrdParserInternal::Picture::m_dim

the dimension

Referenced by operator<<, Picture(), and MsWrdParser::readPicture().

## m_flag

int MsWrdParserInternal::Picture::m_flag

an unknown flag

Referenced by operator<<, Picture(), and MsWrdParser::readPicture().

## m_picturesList

std::vector<Zone> MsWrdParserInternal::Picture::m_picturesList

the list of picture

Referenced by Picture(), and MsWrdParser::readPicture().

The documentation for this struct was generated from the following file:

- MsWrdParser.cxx